<?php

/**
 * All functions for hooks and will output HTML should go here.
 *
 * PHP version 5.3.1
 *
 * @category WordPressView
 * @package  PackageName
 * @author   Splurgy <support@splurgy.com>
 * @license  http://opensource.org/licenses/MIT MIT
 * @link     http://www.splurgy.com Splurgy
 */

require_once 'splurgy-lib/SplurgyEmbedGenerator.php';

/**
 * WordPress View Class definition
 *
 * @category WordPressView
 * @package  PackageName
 * @author   Splurgy <support@splurgy.com>
 * @license  http://opensource.org/licenses/MIT MIT
 * @link     http://www.splurgy.com Splurgy
 */
class ContentExtras
{

    public function content($content)
    {
        echo do_shortcode($content);

        /** Run everything below only once **/
        remove_filter( current_filter(), array($this, __FUNCTION__) );
        
        echo $this->getImpressionTracker();
    }

    public function getImpressionTracker() 
    {

        $impression = new SplurgyEmbedGenerator('impression', null);
        $html = $impression->getHtml();
        return $html;
    }
}
